# Error Codes

enum WpLibraryErrorEnum

  Error codes that can appear in a GError when the error domain is WP_DOMAIN_LIBRARY.

  Values:

  enumerator WP_LIBRARY_ERROR_INVARIANT

    an invariant check failed; this most likely indicates a programming error

  enumerator WP_LIBRARY_ERROR_INVALID_ARGUMENT

    an unexpected/invalid argument was given

  enumerator WP_LIBRARY_ERROR_OPERATION_FAILED

    an operation failed

WP_DOMAIN_LIBRARY (wp_domain_library_quark ())

  A GError domain for errors that occurred within the context of the WirePlumber library.